/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "door.h"
#include "assert/assert.h"

void doorInit(door_t *door) {
  assertNotNull(door, "Door cannot be NULL.");
}

void doorDestinationSet(
  door_t *door,
  const int32_t x,
  const int32_t y,
  const entitydirection_t direction
) {
  assertNotNull(door, "Door cannot be NULL.");
  door->x = x;
  door->y = y;
  door->direction = direction;
}