/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "entitydirection.h"

typedef struct {
  int32_t x;
  int32_t y;
  entitydirection_t direction;
} door_t;

/**
 * Initializes a door.
 * 
 * @param door Door to initialize.
 */
void doorInit(door_t *door);

/**
 * Sets the destination of a door.
 * 
 * @param door Door to set the destination of.
 * @param x X coordinate of the destination.
 * @param y Y coordinate of the destination.
 * @param direction Direction the player should face when they arrive.
 */
void doorDestinationSet(
  door_t *door,
  const int32_t x,
  const int32_t y,
  const entitydirection_t direction
);